Bug 809777 - Improvement for the error handling of JCR index build error or node corruption
Improvement for the error handling of JCR index build error or node corruption
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: PicketLink (Show other bugs)
5.2.1.GA
Unspecified Unspecified
unspecified Severity high
: ---
: 5.2.2.ER01
Assigned To: Martin Weiler
:
Depends On: 830084
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 07:14 EDT by Martin Weiler
Modified: 2015-08-31 23:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that if the JCR index is broken, JCR stops. This caused a JCR index build error or node corruption during portal and Site Publisher start-up. The fix includes upgrades to the JCR which allows the portal to start correctly and log the data corruption, rather instead of failing to start.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mvanco: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Martin Weiler 2012-04-04 07:14:40 EDT
Description of problem:
Sometimes we face JCR index build error or node corruption during EPP/SP startup.
Is it possible to improve the error handling so that EPP can startup and still serve contents ignoring bad index/corrupted nodes?
It's important for availability of enterprise portal sites.

Version-Release number of selected component (if applicable):
eXo JCR 1.14.3


How reproducible:
Sometimes when the EPP cluster breaks, this results in JCR data corruption.

  
Actual results:
EPP fails to start.


Expected results:
EPP can start, and just log the data corruption


Additional info:
Depends on upgrade of eXo JCR
Comment 1 Martin Weiler 2012-04-04 07:16:25 EDT
Should be fixed once EPP includes eXo JCR 1.14.7, 1.15.0 or higher.
Comment 2 Michal Vanco 2012-07-20 09:12:13 EDT
Martin, JCR 1.14.8-CR01 was included in EPP 5.2.2 ER02 and 1.14.8-C0R2 is expected in next release cycle.
Can you please provide more information how this can be verified or if JCR update is enough? Thanks
Comment 3 Michal Vanco 2012-08-06 06:38:24 EDT
This is fixed by updated JCR component, related jira was https://issues.jboss.org/browse/EXOJCR-1778, confirmed by Martin.
Comment 4 hfnukal@redhat.com 2012-08-24 09:50:29 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: If JCR index is broken, JCR stops.

Consequence: Sometimes we face JCR index build error or node corruption during EPP/SP startup.

Fix: Upgrade JCR

Result: EPP can start, and just log the data corruption
Comment 5 Jared MORGAN 2012-08-27 20:20:25 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-Cause: If JCR index is broken, JCR stops.
+It was discovered that if the JCR index is broken, JCR stops. This caused a JCR index build error or node corruption during portal and Site Publisher start-up. The fix includes upgrades to the JCR which allows the portal to start correctly and log the data corruption, rather instead of failing to start.-
-Consequence: Sometimes we face JCR index build error or node corruption during EPP/SP startup.
-
-Fix: Upgrade JCR
-
-Result: EPP can start, and just log the data corruption
Comment 6 Viliam Rockai 2012-08-28 07:18:35 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.